	#ifndef __NODCHILD_H

	#define __NODCHILD_H

/* get the other files which we need */

	#if !defined( __WINDOWS_H )
	#include <Windows.h>
	#endif

	#ifndef __CLASSWIN_H
	#include "classwin.h"
	#endif

	#ifndef __NOD1_H
	#include "nod1.h"
	#endif

	#ifndef __DIR_H
	#include <dir.h>
	#endif

	class DBox:public Child
	{
	public:
		void create(HWND);
		void set(void);
		void unset(void);


	};

	class GoButton:public Child
	{
	public:
		void create( HWND );

	private:
		char *text;


	};

	class FirstLine:public Child
	{
	public:
		void create(HWND);
		void set(char*);

	private:
		char *text;

	};


	class FileList : public Child
	{
	public:
		virtual void create(HWND);
		BOOL validFile(void);
		DWORD send(WORD,WORD,long);
		virtual BOOL fileClick(void);
		char* getFile(void);
		void reset(void);
		void mask(char *);

	private:
		char szFileName[MAXPATH];
		char szMask[MAXFULLFILE];
		BOOL bValidFile;
	};

	class DirList : public Child
	{
	public:
		virtual void create(HWND);
		virtual BOOL dirClick(void);
		char getDir(void);
		void reset(void);
		DWORD send(WORD,WORD,long);

	private:
		HWND hDirField;
		char szDirName[MAXPATH];
	};


/*
class FileFinder

functions:

	create(HWND parent) -

	reset()  - update display (used when APPACTIVATE occurs)

	dirClick - user clicked on directory box (overidden from base class)

inherited

	fileClick -
	validFile -
	getFile

	getDir -

conflicting inherited functions

	send- does nothing - covers underlying functions

BUGS:
If the user does a dirClick and then attempts to check the ValidFile
status, an incorrect result may return.  The FileName will still be
set to the file in the previous directory.

*/

	class FileFinder:public DirList , public FileList
	{
	public:
		void create(HWND);
		void reset(void);
		BOOL dirClick(void);
		void send(void);

	private:
	};

	#endif